> ## Documentation Index
> Fetch the complete documentation index at: https://kosli-reference-docs-v2-30-1.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List system attestation types

> List all registered system attestation types with their per-version attestation_data schemas.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /attestations/system-attestation-types
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /attestations/system-attestation-types:
    get:
      tags:
        - Attestation
      summary: List system attestation types
      description: >-
        List all registered system attestation types with their per-version
        attestation_data schemas.
      operationId: list_system_attestation_types
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemAttestationTypeListResponse'
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    SystemAttestationTypeListResponse:
      properties:
        system_attestation_types:
          items:
            $ref: '#/components/schemas/SystemAttestationTypeResponse'
          type: array
          title: System Attestation Types
      type: object
      required:
        - system_attestation_types
      title: SystemAttestationTypeListResponse
    SystemAttestationTypeResponse:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        versions:
          items:
            $ref: '#/components/schemas/SystemAttestationTypeVersionResponse'
          type: array
          title: Versions
      type: object
      required:
        - name
        - versions
      title: SystemAttestationTypeResponse
    SystemAttestationTypeVersionResponse:
      properties:
        version:
          type: integer
          title: Version
        attestation_data_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Attestation Data Schema
      type: object
      required:
        - version
      title: SystemAttestationTypeVersionResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````